Support LAST as statement value
AcceptedPublic

Authored by 1-Byte on Aug 18 2018, 7:29 PM.

Details

Reviewers
Magnus
Patch without arc
git checkout -b D1098 && curl -L https://phabricator.wikimedia.org/D1098?download=true | git apply
Summary

At the moment QuickStatements supports LAST to be used as target item. With this patch, users can also refer to the new item when they add statements to existing items:

CREATE
LAST Len "example"
Q1000 P100 LAST

Unfortunately, I wasn't able to test it (I haven't been able to get the tool working locally so far).

Diff Detail

Repository
R2010 tool-quickstatements
Lint
Lint Skipped
Unit
Unit Tests Skipped
1-Byte requested review of this revision.Aug 18 2018, 7:29 PM
1-Byte created this revision.
1-Byte updated this revision to Diff 2874.Aug 19 2018, 12:24 PM
1-Byte edited the summary of this revision. (Show Details)
1-Byte added a reviewer: Magnus.

In the meantime, I was able to setup a local environment and test these changes. As far as I can see, the new feature should work as intended.

Magnus accepted this revision.Aug 23 2018, 12:45 PM

Applied, thanks. This will not work in "browser mode" (new_item not exchanged via API). Untested in "bot mode".

This revision is now accepted and ready to land.Aug 23 2018, 12:45 PM